import { ActivityOptions, Client, Message } from "discord.js";
import { Response } from "../response/response";
import { Console } from "../console/console";
import { VoiceOptions, DJOptions, SongOptions } from "./clientVoice";
import { ActivityLoader } from "../data/activityLoader";
export interface MessageResponse {
    message: string;
    react?: string;
    reply?: boolean;
    audio?: boolean;
    refIndex: string;
}
export interface SBotOptions {
    token?: string;
    activityRefreshInterval?: number;
    logLocation?: string | null;
    ignorePrivacy?: boolean;
}
export declare class SBotClient {
    client: Client;
    get user(): import("discord.js").ClientUser | null;
    private utility;
    constructor(options?: SBotOptions);
    private props;
    useComputedActivity(activity: ActivityOptions): void;
    useActivities(loader: ActivityLoader): void;
    private setSelfActivity;
    useResponse(response: Response): void;
    private response;
    useConsole(console: Console): void;
    private voiceOptions?;
    private voiceCtrl?;
    useVoice(options: VoiceOptions): void;
    private ttsJutsu;
    private corgiSwiftQueue;
    private corgiSwiftJutsu;
    private corgiSwiftClearQueue;
    private songOptions?;
    private djOptions?;
    useDJ(SongOptions: SongOptions[], Options: DJOptions): void;
    requestSong(msg: Message): Promise<void>;
    private corgiPlaySong;
}
