import { Message } from "discord.js";
import { Song, SongLoader } from "../data/songLoader";
export interface CorgiSwiftJutsu {
    jutsu: "CorgiSwift";
    fallback?: {
        no_channel?: string;
        stage_channel?: string;
        not_joinable?: string;
        internal?: string;
        reply?: boolean;
    };
    skip?: {
        prefixes: string[];
        fallback?: string;
        react?: string;
    };
}
export declare type VoiceOptions = CorgiSwiftJutsu;
export declare enum SongAppearance {
    EVERYWHERE = 0,
    RANDOM_ONLY = 1
}
export interface SongOptions {
    loader: SongLoader;
    category: string;
    appearance: SongAppearance;
    onPlay: string;
}
export interface DJOptions {
    prefixes: string[];
    random_only?: boolean;
    reply?: boolean;
    onQueued: {
        tts: string;
        song: string;
    };
}
interface corgiQueueTTS {
    msg: Message;
    type: "TTS";
    content: string;
}
interface corgiQueueSong {
    msg: Message;
    type: "SONG";
    song: Song;
    category: string;
}
export declare type corgiQueue = corgiQueueTTS | corgiQueueSong;
export {};
